#!/bin/bash

fileset=2013-2014
#fileset=2013-2015

echo
echo "****"
echo "* Working with fileset years: $fileset"
echo "****"
echo

if [ $fileset = "2013-2014" ] ; then
    echo "----"
    echo "Rsyncing the 2013 & 2014 mp3 files in prepare/MEMD_audio into import"
    echo "----"
    rsync -pav prepare/MEMD_audio/*.mp3 --exclude=2[0-9][0-9][0-9].mp3 import/.
else
    echo "----"
    echo "Rsyncing all mp3 files in prepare/MEMD_audio into import"
    echo "----"
    rsync -pav prepare/MEMD_audio/*.mp3 import/.
fi

echo "----"
echo "Tweaking prepare/metadata/metadata_2013.csv as copied to import"
echo "----"

cat "prepare/metadata/metadata_2013.csv" \
    | sed 's/^song_id,/Identifier,Filename,/' \
    | sed 's/^\([0-9]*\),/\1,\1.mp3,/g' \
    > "import/metadata_2013.csv"


echo "----"
echo "Tweaking prepare/metadata/metadata_2014.csv as copied to import"
echo "----"

cat "prepare/metadata/metadata_2014.csv" \
    | sed 's/^Id,/Identifier,Filename,/' \
    | sed 's/^\([0-9]*\),/\1,\1.mp3,/g' \
    > "import/metadata_2014.csv"


if [ $fileset = "2013-2015" ] ; then
    echo "----"
    echo "Tweaking prepare/metadata/metadata_2015.csv as copied to import"
    echo "----"

    cat "prepare/metadata/metadata_2015.csv" \
	| sed 's/^id,Filename/Identifier,Filename,OrigFilename/' \
	| sed 's/^\([0-9]*\),/\1,\1.mp3,/g' \
	> "import/metadata_2015.csv"
fi